#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  Libgxps-0.3.2

- Next

  libmng-2.0.3

- Up
- Home

# libjpeg-turbo-2.1.2

## Introduction to libjpeg-turbo

libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-2.1.2.tar.gz

- Download MD5 sum: e181bd78884dd5392a869209bfa41d4a

- Download size: 2.2 MB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.3 SBU (using parallelism=4; with tests)

### libjpeg-turbo Dependencies

#### Required

CMake-3.22.2 and NASM-2.15.05 or yasm-1.3.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libjpeg-turbo

## Installation of libjpeg-turbo

Install libjpeg-turbo by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=RELEASE  \
          -DENABLE_STATIC=FALSE       \
          -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/libjpeg-turbo-2.1.2 \
          -DCMAKE_INSTALL_DEFAULT_LIBDIR=lib  \
          .. &&
    make

To test the results, issue: make test.

### Note

If installing libjpeg-turbo over an older jpeg installation, not all library symbolic links are updated properly. To fix this before installation, run the following as the `root` user:

    rm -f /usr/lib/libjpeg.so*

Now, as the `root` user:

    make install

## Command Explanations

`-DWITH_JPEG8=ON`: This switch enables compatibility with libjpeg version 8.

## Contents

Installed Programs: cjpeg, djpeg, jpegtran, rdjpgcom, tjbench, and wrjpgcom
Installed Libraries: libjpeg.so and libturbojpeg.so
Installed Directories: /usr/share/doc/libjpeg-turbo-2.1.2

### Short Descriptions

cjpeg | compresses image files to produce a JPEG/JFIF file on the standard output. Currently supported input file formats are: PPM (PBMPLUS color format), PGM (PBMPLUS gray-scale format), BMP, and Targa
djpeg | decompresses image files from JPEG/JFIF format to either PPM (PBMPLUS color format), PGM (PBMPLUS gray-scale format), BMP, or Targa format
jpegtran | is used for lossless transformation of JPEG files
rdjpgcom | displays text comments from within a JPEG file
tjbench | is used to benchmark the performance of libjpeg-turbo
wrjpgcom | inserts text comments into a JPEG file
`libjpeg.so` | contains functions used for reading and writing JPEG images

Last updated on

- Prev

  Libgxps-0.3.2

- Next

  libmng-2.0.3

- Up
- Home